.overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.7);
    z-index: 999;
    display: none;
    justify-content: center;
    align-items: center;
}

.overlay.visible {
    display: flex; 
}

#overlay-img {
    width: 80%;
    height: 80%;
    object-fit: contain;
    border-radius: 5px;
    transition: transform 0.5s ease;
    image-rendering: auto;
}

.next-overlay,.prev-overlay{
    font-size: 3em;
    color: #e8d18e;
    width: 30px;
    height: 30px;
    justify-content: center;
    text-align: center;
}

.next-overlay{
    margin-left: 20px;
}

.prev-overlay{
    margin-right: 20px;
}

.next-overlay,.prev-overlay:hover{
    cursor: pointer;
}

.medio{
    padding: 0;
    margin-bottom: 50px;
    display: flex;
    color: #fff;
}

.publicacion{
    width: 100%;
    max-width: 1300px;
}

.img-fondoO {
    position: absolute;
    left: 50%;
    transform: translateX(-50%);
    width: 100vw;
    height: 150px;
    object-fit: cover;
    object-position: center; 
    filter: brightness(.6);
}

.publicacion-titulo{
    position: relative;
    z-index: 1; 
    text-align: center;
    color: #fff; 
    margin-top: 50px;
    font-size: 2.5em;
    letter-spacing: 1.3px;
}

.publicacion-info{
    margin-top: 70px;
}

.galeria {
    position: relative;
    text-align: center;
    height: 600px;
    padding: 50px 200px;
    margin: 50px auto 20px auto;
}

.img-galeria {
    width: 100%;
    height: 500px;
    max-height: 500px;
    object-fit: fill;
    border-radius: 5px;
    transition: filter 0.5s ease; 
    cursor: pointer;
}

.img-galeria:hover {
    filter: brightness(0.8);
}

.prev, .next {
    cursor: pointer;
    position: absolute;
    top: 50%;
    width: auto;
    padding: 16px;
    margin-top: -35px;
    color: white;
    font-weight: bold;
    font-size: 18px;
    user-select: none;
    background-color: rgba(0, 0, 0, 0.5);
}

.prev {
    left: 150px;
}

.next {
    right: 150px;
}

.publicacion-cuadro1, .publicacion-cuadro2{
    width: 100%;
    display: flex;
    justify-content: space-between;
    gap: 50px;
    margin-bottom: 30px;
    background-color: #212121;
    padding: 20px;
    box-shadow: 0 0 15px #000;
}

.publicacion-descripcion, .publicacion-ubicacion, .publicacion-caracteristicas, .publicacion-contacto{
    width: 100%;
    min-width: 350px;
    max-width: 450px;
    text-align: center;
}

.publicacion-caracteristicas{
    margin-left: 100px;
}

.publicacion-contacto{
    margin-right: 100px;
}

.publicacion-descripcion{
    margin-left: 100px;
}

.publicacion-ubicacion{
    margin-right: 100px;
}

.d, .u, .c, .co{
    font-size: 2em;
    background-color: #272727;
    color: #e8d18e;
    padding: 5px 0px;
}

.dE, .uE{
    padding: 15px 15px 15px 15px;
    font-size: 1em;
    letter-spacing: 1.1px;
    line-height: 1.2em; 
    color: #fffc;
    width: 100%;
    max-width: 100%;
    min-height: 150px;
    max-height: 350px;
    overflow-y: auto;
    word-wrap: break-word;
    overflow-wrap: break-word;
    white-space: pre-line; 
    text-align: justify;
    margin-top: 10px;
}

.visible{
    color: #e8d18edd;
    font-size: 1.2em;
}

.caracteristicas, .contacto{
    width: 100%;
    text-align: left;
    padding: 15px;
}

.nl,.aig,.gm,.fm{
    text-decoration: none;
    color: #fffc;
}

.li_ca{
    color: #fffc;
    line-height: 1.75em;
    font-size: 1.1em;
    max-width: 100%;
    letter-spacing: 1.1px;
    overflow-y: auto;
    word-wrap: break-word;
    overflow-wrap: break-word;
    white-space: pre-line; 
    text-align: left;
}

.publicacion-mapa{
    text-align: center;
    margin: auto auto;
    width: 80%;
    background-color: #212121;
    padding: 1px 2px 0 2px;
}

.google-map-tittle{
    font-size: 2em;
    color: #e8d18e;
    margin: 30px auto ;
}

.map-tittle-span{
    padding:5px 20px;
    background-color: #292929;
}

.mapa{
    width:100%;
    height:500px;
}

@media screen and (max-width:1200px){

    .publicacion-caracteristicas{
        margin-left: 50px;
    }
    
    .publicacion-contacto{
        margin-right: 50px;
    }
    
    .publicacion-descripcion{
        margin-left: 50px;
    }
    
    .publicacion-ubicacion{
        margin-right: 50px;
    }
}

@media screen and (max-width:1000px){

    .galeria{
        height: 500px;
        padding: 50px 150px;
    }

    .img-galeria{
        height: 400px;
    }

    .prev {
        left: 75px;
    }
    
    .next {
        right: 75px;
    }



    .d, .u, .c, .co, .google-map-tittle{
        font-size: 1.75em;
    }

    .visible{
        color: #e8d18edd;
        font-size: 1.1em;
    }

    .li_ca{
        font-size: 1em;
    }

    .publicacion-caracteristicas{
        margin-left: 0px;
    }
    
    .publicacion-contacto{
        margin-right: 0px;
    }
    
    .publicacion-descripcion{
        margin-left: 0px;
    }
    
    .publicacion-ubicacion{
        margin-right: 0px;
    }
}

@media screen and (max-width:800px){

    .galeria{
        height: 500px;
        padding: 50px 100px;
    }

    .img-galeria{
        height: 400px;
    }

    .prev {
        left: 50px;
    }
    
    .next {
        right: 50px;
    }

    .next-overlay,.prev-overlay{
        font-size: 2.5em;
        color: #e8d18e;
    }
    
    .next-overlay{
        margin-left: 15px;
    }
    
    .prev-overlay{
        margin-right: 15px;
    }

    .publicacion-cuadro1, .publicacion-cuadro2{
        flex-direction: column;
        justify-content: center;
    }

    .publicacion-descripcion, .publicacion-caracteristicas, .publicacion-contacto, .publicacion-ubicacion{
        margin: 0 auto;
        width: 100%;
        min-width: 350px;
        max-width: 650px;
        text-align: center;
    }

    .publicacion-titulo{
        font-size: 2em;
    }

    .publicacion-mapa{
        width: 90%;
    }
}

@media screen and (max-width:700px){

    .galeria{
        height: 500px;
        padding: 50px 75px;
    }

    .img-galeria{
        height: 400px;
    }

    .prev {
        left: 15px;
    }
    
    .next {
        right: 15px;
    }

    .publicacion-titulo{
        font-size: 1.8em;
    }
}

@media screen and (max-width:650px){

    .galeria{
        height: 500px;
        padding: 50px 25px;
    }

    .img-galeria{
        height: 400px;
    }

    .prev {
        left: 100px;
        top: 490px;
    }
    
    .next {
        right: 100px;
        top: 490px;
    }

    .publicacion-titulo{
        font-size: 1.8em;
    }

    .publicacion-mapa{
        width: 100%;
    }
}

@media screen and (max-width:600px){

    .galeria{
        height: 500px;
        padding: 50px 25px;
    }

    .img-galeria{
        height: 400px;
    }

    .prev {
        left: 100px;
        top: 490px;
    }
    
    .next {
        right: 100px;
        top: 490px;
    }

    .publicacion-titulo{
        font-size: 1.6em;
    }
}

@media screen and (max-width:550px){

    .galeria{
        height: 500px;
        padding: 50px 0;
    }

    .img-galeria{
        height: 400px;
    }

    .prev {
        left: 75px;
        top: 490px;
    }
    
    .next {
        right: 75px;
        top: 490px;
    }

    .publicacion-descripcion, .publicacion-caracteristicas, .publicacion-contacto, .publicacion-ubicacion{
        margin: 0 auto;
        width: 100%;
        min-width: 250px;
        max-width: 650px;
        text-align: center;
    }

    .d, .u, .c, .co, .google-map-tittle{
        font-size: 1.5em;
    }

    .dE, .uE{
        font-size: .9em;
    }

    .visible{
        font-size: 1.2em;
    }

    .li_ca{
        font-size: .9em;
    }

}

@media screen and (max-width:500px){
    .mapa{
        height: 500px;
    }

    .next-overlay,.prev-overlay{
        font-size: 2em;
        color: #e8d18e;
    }
    
    .next-overlay{
        margin-left: 10px;
    }
    
    .prev-overlay{
        margin-right: 10px;
    }
}

@media screen and (max-width:450px){

    .galeria{
        height: 400px;
        padding: 50px 0;
    }

    .img-galeria{
        height: 300px;
    }

    .next, .prev{
        padding: 10px;
    }

    .prev {
        left: 60px;
        top: 395px;
    }
    
    .next {
        right: 60px;
        top: 395px;
    }

    .next-overlay,.prev-overlay{
        font-size: 1.75em;
        color: #e8d18e;
    }
    
    .next-overlay{
        margin-left: 10px;
    }
    
    .prev-overlay{
        margin-right: 10px;
    }

    .publicacion-titulo{
        font-size: 1.4em;
    }

    .mapa{
        height: 400px;
    }
}

@media screen and (max-width:400px){

    .galeria{
        height: 350px;
        padding: 50px 0;
    }

    .img-galeria{
        height: 250px;
    }

    .prev {
        left: 60px;
        top: 345px;
    }
    
    .next {
        right: 60px;
        top: 345px;
    }

    .next-overlay,.prev-overlay{
        font-size: 1.5em;
        color: #e8d18e;
    }
    
    .next-overlay{
        margin-left: 10px;
    }
    
    .prev-overlay{
        margin-right: 10px;
    }

    .publicacion-descripcion, .publicacion-caracteristicas, .publicacion-contacto, .publicacion-ubicacion{
        margin: 0 auto;
        width: 100%;
        min-width: 250px;
        max-width: 650px;
        text-align: center;
    }

    .d, .u, .c, .co, .google-map-tittle{
        font-size: 1.35em;
    }

    .dE, .uE{
        font-size: .8em;
    }

    .visible{
        font-size: 1.1em;
    }

    .li_ca{
        font-size: .7em;
    }

    .mapa{
        height: 350px;
    }
}

@media screen and (max-width:350px){

    .publicacion-descripcion, .publicacion-caracteristicas, .publicacion-contacto, .publicacion-ubicacion{
        margin: 0 auto;
        width: 100%;
        min-width: 200px;
        max-width: 650px;
        text-align: center;
    }


    .dE,.uE,.caracteristicas,.contacto{
        padding: 15px 5px;
    }

    .d, .u, .c, .co, .google-map-tittle{
        font-size: 1.2em;
    }

    .dE, .uE{
        font-size: .7em;
    }

    .visible{
        font-size: 1em;
    }

    .li_ca{
        font-size: .7em;
    }
}

@media screen and (max-width:300px){

    .publicacion-descripcion, .publicacion-caracteristicas, .publicacion-contacto, .publicacion-ubicacion{
        margin: 0 auto;
        width: 100%;
        min-width: 150px;
        max-width: 650px;
        text-align: center;
    }


    .dE,.uE,.caracteristicas,.contacto{
        padding: 15px 0px;
    }

    .d, .u, .c, .co, .google-map-tittle{
        font-size: 1.1em;
    }

    .dE, .uE{
        font-size: .6em;
    }

    .visible{
        font-size: 1.1em;
    }

    .li_ca{
        font-size: .6em;
    }

    .galeria{
        height: 250px;
        padding: 25px 0;
    }

    .img-galeria{
        height: 200px;
    }

    .prev {
        left: 25px;
        top: 262.5px;
        padding: 7px;
    }
    
    .next {
        right: 25px;
        top: 262.5px;
        padding: 7px;
    }

    .next-overlay,.prev-overlay{
        font-size: 1.25em;
        color: #e8d18e;
    }
    
    .next-overlay{
        margin-left: 10px;
    }
    
    .prev-overlay{
        margin-right: 10px;
    }

    .mapa{
        height: 275px;
    }
}